package com.cku.dao;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuShowsBaoMing;
import com.cku.model.CkuShowsBaoMingWithBLOBs;

public interface CkuShowsBaoMingMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(CkuShowsBaoMingWithBLOBs record);

    /**
     * 
     * @Description：赛事表报名表生成未支付报名信息
     * @author: zhuoHeng
     * @version: 2016年4月19日 下午4:33:07
     */
    int insertSelective(CkuShowsBaoMing record);

    CkuShowsBaoMingWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CkuShowsBaoMingWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(CkuShowsBaoMingWithBLOBs record);

    int updateByPrimaryKey(CkuShowsBaoMing record);

	CkuShowsBaoMing getCkuDagId(@Param("runningNumber")String runningNumber);
	
	/**
	 * 
	 * @Description：取消订单删除报名信息
	 * @author: zhuoHeng
	 * @version: 2016年4月21日 下午1:11:32
	 */
	int deleteByOrderId(@Param("userId") Integer userId,@Param("orderId") String orderId);
	
	int updateShowBaomingPayOut(@Param("orderId") String orderId);
}